> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Register New User

> Create new user



## OpenAPI

````yaml post /auth/register
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /auth/register:
    post:
      tags:
        - auth
      summary: Register New User
      description: Create new user
      operationId: register_new_user_auth_register_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserCreateRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserRegisterResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UserCreateRequest:
      properties:
        phone:
          type: string
          title: Phone
        nonce:
          type: string
          title: Nonce
      type: object
      required:
        - phone
        - nonce
      title: UserCreateRequest
    UserRegisterResponse:
      properties:
        id:
          type: string
          title: Id
        phone:
          type: string
          title: Phone
      type: object
      required:
        - id
        - phone
      title: UserRegisterResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````